Back to Virtual Accounts APIs

Virtual Accounts API Playground

Send real, HMAC-signed requests to the virtual accounts endpoints and inspect the live response.

POST/api/customers
  1. curl --location --request POST 'https://api.bitnob.com/api/customers' \
  2. --header 'Content-Type: application/json' \
  3. --header 'X-Auth-Client: {{clientId}}' \
  4. --header 'X-Auth-Timestamp: {{timestamp}}' \
  5. --header 'X-Auth-Nonce: {{nonce}}' \
  6. --header 'X-Auth-Signature: {{signature}}' \
  7. --data '{
  8. "email": "ada@example.com",
  9. "customer_type": "individual",
  10. "first_name": "Ada",
  11. "last_name": "Okafor",
  12. "date_of_birth": "1994-03-21",
  13. "phone_number": "8012345678",
  14. "dial_code": "+234",
  15. "id_type": "bvn",
  16. "id_number": "12345678901",
  17. "country": "NGA"
  18. }'
Response
// Awaiting response...
Did you find this page useful?

Join our Discord